Package ru.bitel.bgbilling.modules.enaza.server.bean.event

# Class GetChargeTypeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.enaza.server.bean.event.GetChargeTypeEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class GetChargeTypeEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - получения типа платежа.
Событие генерируется перед оплатой. Можно изменить тип платежа, а также отменить занесение прихода или сам платеж.
Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GetChargeTypeEvent​(int moduleId, int contractId, int userId, int productId, java.math.BigDecimal amount, int chargeType)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` | Возвращает стоимость продукта.
  `int` | `getChargeType()` | Возвращает тип платежа.
  `int` | `getProductId()` | Возвращает id продукта.
  `boolean` | `isLock()` | Возвращает статус блокировки транзакции.
  `void` | `setAmount​(java.math.BigDecimal amount)` | Устанавливает стоимость продукта.
  `void` | `setChargeType​(int chargeType)` | Устанавливает тип платежа.
  `void` | `setLock​(boolean lock)` | Устанавливает блокировку транзакции.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetChargeTypeEvent

    public GetChargeTypeEvent​(int moduleId, int contractId, int userId, int productId, java.math.BigDecimal amount, int chargeType)
    Конструктор события.
    Parameters:
      `moduleId` - - код модуля
      `contractId` - - код договора
      `userId` - - id пользователя, сгенерировавшего событие
      `productId` - - код продукта
      `amount` - - стоимость продукта
      `chargeType` - - тип платежа

- ## Method Details

  - ### getProductId

    public int getProductId()
    Возвращает id продукта.
    Returns:
      productId - код продукта

  - ### getAmount

    public java.math.BigDecimal getAmount()
    Возвращает стоимость продукта.
    Returns:
      amount - стоимость

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)
    Устанавливает стоимость продукта.
    Parameters:
      `amount` - - стоимость

  - ### getChargeType

    public int getChargeType()
    Возвращает тип платежа.
    Returns:
      chargeType - тип платежа

  - ### setChargeType

    public void setChargeType​(int chargeType)
    Устанавливает тип платежа.
    Parameters:
      `chargeType` - - тип платежа

  - ### isLock

    public boolean isLock()
    Возвращает статус блокировки транзакции.
    Returns:
      lock - статус блокировки

  - ### setLock

    public void setLock​(boolean lock)
    Устанавливает блокировку транзакции.
    Parameters:
      `lock` - - статус блокировки